org.apache.uima.cas

## Enum SerialFormat

- java.lang.Object
- - java.lang.Enum<SerialFormat>
  - - org.apache.uima.cas.SerialFormat

- All Implemented Interfaces:
    Serializable, Comparable<SerialFormat>

      public enum SerialFormat
      extends Enum<SerialFormat>

  The various forms of serialization (typically of the CAS)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` Plain custom binary serialized CAS without type system, no filtering
    `BINARY_TSI` Plain custom binary serialized CAS, no filtering, plus serialized TSI used to reinitialize the CAS
    `COMPRESSED` Binary compressed CAS without type system, no filtering (form 4)
    `COMPRESSED_FILTERED` Binary compressed CAS with reachability and type and feature filtering (form 6)
    `COMPRESSED_FILTERED_TS` Binary compressed form 6 CAS with embedded type system representing the type system encoding the serialization specifies the type system used for the serialized form
    `COMPRESSED_FILTERED_TSI` Type system and index specification included used to reinitialize the CAS and specifies the type system used for the serialized form
    `COMPRESSED_PROJECTION` with subset of views (not in use)
    `COMPRESSED_TSI` Binary Compressed Form 4, plus serialized TSI used to reinitialize the CAS
    `SERIALIZED` Java-serialized CAS without type system
    `SERIALIZED_TSI` Java-serialized CAS with type system and index definitions The Typs System and Index Definition replaces the CAS's when deserializing.
    `UNKNOWN` Unknown format
    `XCAS` XML-serialized CAS
    `XCAS_1_1` XML-serialized CAS, using xml version 1.1
    `XMI` XML-serialized CAS
    `XMI_1_1` XML-serialized CAS, using xml version 1.1
    `XMI_1_1_PRETTY` XML-serialized CAS, using xml version 1.1 - pretty-printed
    `XMI_PRETTY` XML-serialized CAS, using xml version 1.1 - pretty-printed

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultFileExtension()`
    `static SerialFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SerialFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final SerialFormat UNKNOWN

      Unknown format

    - #### XCAS

          public static final SerialFormat XCAS

      XML-serialized CAS

    - #### XMI

          public static final SerialFormat XMI

      XML-serialized CAS

    - #### BINARY

          public static final SerialFormat BINARY

      Plain custom binary serialized CAS without type system, no filtering

    - #### COMPRESSED

          public static final SerialFormat COMPRESSED

      Binary compressed CAS without type system, no filtering (form 4)

    - #### COMPRESSED_FILTERED

          public static final SerialFormat COMPRESSED_FILTERED

      Binary compressed CAS with reachability and type and feature filtering (form 6)

    - #### COMPRESSED_PROJECTION

          public static final SerialFormat COMPRESSED_PROJECTION

      with subset of views (not in use)

    - #### SERIALIZED

          public static final SerialFormat SERIALIZED

      Java-serialized CAS without type system

    - #### SERIALIZED_TSI

          public static final SerialFormat SERIALIZED_TSI

      Java-serialized CAS with type system and index definitions The Typs System and Index Definition replaces the CAS's when deserializing.

    - #### COMPRESSED_FILTERED_TS

          public static final SerialFormat COMPRESSED_FILTERED_TS

      Binary compressed form 6 CAS with embedded type system representing the type system encoding the serialization specifies the type system used for the serialized form

    - #### COMPRESSED_FILTERED_TSI

          public static final SerialFormat COMPRESSED_FILTERED_TSI

      Type system and index specification included used to reinitialize the CAS and specifies the type system used for the serialized form

    - #### BINARY_TSI

          public static final SerialFormat BINARY_TSI

      Plain custom binary serialized CAS, no filtering, plus serialized TSI used to reinitialize the CAS

    - #### COMPRESSED_TSI

          public static final SerialFormat COMPRESSED_TSI

      Binary Compressed Form 4, plus serialized TSI used to reinitialize the CAS

    - #### XCAS_1_1

          public static final SerialFormat XCAS_1_1

      XML-serialized CAS, using xml version 1.1

    - #### XMI_1_1

          public static final SerialFormat XMI_1_1

      XML-serialized CAS, using xml version 1.1

    - #### XMI_PRETTY

          public static final SerialFormat XMI_PRETTY

      XML-serialized CAS, using xml version 1.1 - pretty-printed

    - #### XMI_1_1_PRETTY

          public static final SerialFormat XMI_1_1_PRETTY

      XML-serialized CAS, using xml version 1.1 - pretty-printed

  - ### Method Detail

    - #### values

          public static SerialFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SerialFormat c : SerialFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SerialFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefaultFileExtension

          public String getDefaultFileExtension()

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.